# General-purpose Photovoltaic Device Model gpvdm.com - a drift diffusion
# base/Shockley-Read-Hall model for 1st, 2nd and 3rd generation solarcells.
# The model can simulate OLEDs, Perovskite cells, and OFETs.
# 
# Copyright (C) 2008-2020 Roderick C. I. MacKenzie
# All rights reserved.
# 
# https://www.gpvdm.com
# r.c.i.mackenzie at googlemail.com
# 
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of the GPVDM nor the
#       names of its contributors may be used to endorse or promote products
#       derived from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL Roderick C. I. MacKenzie BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


import pygtk
pygtk.require('2.0')
import gtk
import sys
import os
import shutil
import commands
#import webkit

class welcome_class(gtk.HBox):

	lines=[]
	edit_list=[]
	file_name=""
	line_number=[]
	save_file_name=""

	# This callback quits the program
	def delete_event(self, widget, event, data=None):
		gtk.main_quit()
		return False

	#def on_active(self, widge, data=None):
		'''When the user enters an address in the bar, we check to make
		   sure they added the http://, if not we add it for them.  Once
		   the url is correct, we just ask webkit to open that site.'''
		#url = self.url_bar.get_text()
		#try:
		#    url.index("://")
		#except:
		#    url = "http://"+url
		#self.url_bar.set_text(url)
		#self.web.open(url)

	#def go_back(self, widget, data=None):
		#self.web.go_back()

	#def go_forward(self, widget, data=None):
	#	self.web.go_forward()

	#def refresh(self, widget, data=None):
	#	self.web.reload()

	#def update_buttons(self, widget, data=None):
	#	self.url_bar.set_text( widget.get_main_frame().get_uri() )
	#	self.back_button.set_sensitive(self.web.can_go_back())
	#	self.forward_button.set_sensitive(self.web.can_go_forward())


	def wow(self,image_name):
		print "Welcome"

		output=str(commands.getstatusoutput('opvdm_core --version')[1])
		#label = gtk.Label()
		#label.set_markup("<big><b>Organic photovoltaic device model</b>\n"+
		#		 "(<a href=\"http://www.opvdm.com\" "+
                #         "title=\"Click to find out more\">www.opvdm.com</a>)\n\n"
		#		+"To make a new simulation directory click <i>new</i> in the <i>file</i> menu\n"
		#		+"or to open an existing simulation click on the <i>open</i> button.\n"
		#		+"There is more help on the <a href=\"http://www.roderickmackenzie.eu/opvdm_wiki.html\">Wiki</a>.  "

		#		+"Please report bugs to\nroderick.mackenzie@nottingham.ac.uk.\n\n"
		#		+"Rod\n18/10/13\n"
		#		+"~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n\n\n\n"
		#		+output+"</big>")


		#self.web = webkit.WebView()

		sw = gtk.ScrolledWindow()
		#sw.add(self.web)


		toolbar = gtk.Toolbar()

		self.back_button = gtk.ToolButton(gtk.STOCK_GO_BACK)
		#self.back_button.connect("clicked", self.go_back)

		self.forward_button = gtk.ToolButton(gtk.STOCK_GO_FORWARD)
		#self.forward_button.connect("clicked", self.go_forward)

		refresh_button = gtk.ToolButton(gtk.STOCK_REFRESH)
		#refresh_button.connect("clicked", self.refresh)

		toolbar.add(self.back_button)
		toolbar.add(self.forward_button)
		toolbar.add(refresh_button)

		self.url_bar = gtk.Entry()
		#self.url_bar.connect("activate", self.on_active)

		box=gtk.HBox(True, 1)
		box.set_size_request(500,-1)
		box.show()
		box.pack_start(self.url_bar, True, True, 0)
		url_tb_item = gtk.ToolItem();
		url_tb_item.add(box);
		url_tb_item.show()
		toolbar.add(url_tb_item)

		#self.web.connect("load_committed", self.update_buttons)


		vbox = gtk.VBox(False, 0)
		vbox.pack_start(toolbar, False, True, 0)
		vbox.pack_start(self.url_bar, False, True, 0)
		vbox.add(sw)

		self.show_all()


		#self.web.open("http://www.roderickmackenzie.eu/opvdm/welcome.html")
		self.add(vbox)

		#self.add(label)

	   #     image = gtk.Image()
   	#	image.set_from_file(image_name)
	#	self.add(image)

   	#	image.show()
	#	label.show()
		self.show_all()



