#ifndef imps_h
#define imps_h
#include "../../sim.h"

struct imps 
{
	double imps_points;
	double imps_n;
	double imps_Vexternal;
	int imps_repeat;
	double imps_Vss;
	double Rshort_imps;
	double imps_modulation_max;
	double imps_modulation_fx;
	int imps_do_fit;
	double imps_mul_sun;
	double imps_saturate;
};
void sim_imps(struct device *in);
extern struct imps imps_config;
void imps_load_config(struct imps *in,struct device *dev);
void newton_aux_imps(struct device *in,double V,double* i,double* didv,double* didphi,double* didxil,double* didxipl,double* didphir,double* didxir,double* didxipr);
double newton_imps(struct device *in,double Vtot,int usecap);

#endif
